Subject: Re: bug#23902: 25.1.50; Strange warning on string-collate-equalp's docstring

From: Michael Heerdegen <[email-masked]>
Date: Wed, 06 Jul 2016 18:44:35 +0200

Eli Zaretskii <[email-masked]> writes:

> > > With string=, of course.  (Or, better yet, with file-equal-p, but
> > > that's a different story.)
> > 
> > Does that compare mod collate-equality?
>
> Sorry, I cannot parse this.

I can, but I think my question didn't make sense.

> > I don't understand why the doc of `string-collate-equal-p' mentions
> > sorting at all.  Is it useful for that?
>
> <Shrug> It could be used to gather similar "equivalent" file names
> together, for example.

Like this? (doesn't work)

  (sort (list "b" "c" "a" "f" "b" "a" "c") #'string-collate-equalp)

Would you agree to remove "only for sorting them" at the end of the docstring?

Michael.